import {fakeAsync, TestBed} from '@angular/core/testing';

import { PdfService } from './pdf.service';
import {HttpClientTestingModule} from '@angular/common/http/testing';
import {of} from 'rxjs/internal/observable/of';

describe('PdfService', () => {
  let service: PdfService;

  beforeEach(() => {
    TestBed.configureTestingModule({
      imports: [HttpClientTestingModule],
    });
    service = TestBed.inject(PdfService);
  });

  it('should be created', () => {
    expect(service).toBeTruthy();
  });

  it('should generate a pdf', fakeAsync( async () => {
      const httpClientSpy = jasmine.createSpyObj('HttpClient', ['get', 'post']);
      const spiedService = new PdfService(httpClientSpy);
      const blob = new Blob(['hello world'], { type: 'text/pdf' });

      httpClientSpy.get.and.returnValue(of(blob));
      spiedService.generatePdf().subscribe( pdfFile => {
        expect(pdfFile.type).toEqual('text/pdf');
      });
  }));

  it('should save pdf when savePdf is called', () => {

  });
});
