import { ComponentFixture, TestBed } from '@angular/core/testing';

import { RegularModalSectionComponent } from './regular-modal-section.component';
import {VersionedSection} from '@nspop/gm-web-facade-api';

describe('EditRegularComponent', () => {
  let component: RegularModalSectionComponent;
  let fixture: ComponentFixture<RegularModalSectionComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ RegularModalSectionComponent ]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(RegularModalSectionComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should mark any field as dirty when applicable', () => {
    const observationField = {
      foo: 'hello',
      bar: 13376,
      dirty: false
    } as VersionedSection;
    const markAsDirty = component.markAsDirty(observationField);
    expect(markAsDirty?.dirty).toBeTrue();

    const cannotMarkAsDirty = component.markAsDirty({foo: 'noDirtyFlagField'} as VersionedSection);
    expect(cannotMarkAsDirty).toBeUndefined();
  });

  it('should return a boolean declaring whether the urin contains traces of the searched for element', () => {
    component.writeValue({urine: ['+A', 'S', 'Leu']});
    expect(component.urineContains('S')).toBeTrue();
    expect(component.urineContains('+A')).toBeTrue();
    expect(component.urineContains('Leu')).toBeTrue();
    expect(component.urineContains('A')).toBeFalse();
    expect(component.urineContains('+')).toBeFalse();
  });
});
