import {ComponentFixture, TestBed} from '@angular/core/testing';

import {MeasurementsScreeningsComponent} from './measurements-screenings.component';
import {ScreeningsService} from '../../services/screenings.service';
import {PositiveNegativeDeclinedScreeningWithDateSection} from '@nspop/gm-web-facade-api';
import ResultEnum = PositiveNegativeDeclinedScreeningWithDateSection.ResultEnum;

describe('MeasurementsScreeningsComponent', () => {
  let component: MeasurementsScreeningsComponent;
  let fixture: ComponentFixture<MeasurementsScreeningsComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      declarations: [ MeasurementsScreeningsComponent ],
      providers: [{provide: ScreeningsService, useValue: {}}]
    })
    .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(MeasurementsScreeningsComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('should check for dirty values upon setting the model', () => {
    const onChange = jasmine.createSpy('onChange');
    component.registerOnChange(onChange);
    component.writeValue({hiv: ResultEnum.Positive} as any);
    expect(onChange).not.toHaveBeenCalled();
    component.writeValue({hiv: ResultEnum.Negative} as any);
    expect(onChange).toHaveBeenCalled();
  });
});
