import {Component, Input, OnInit} from '@angular/core';
import {DataCardService} from '../../api/data-card.service';
import {Observable} from 'rxjs';
import {Activity} from '@nspop/gm-web-facade-api';
import {CarePlanService} from '../../api/care-plan.service';
import {ActivitiesService} from '../../activities/activities.service';

@Component({
  selector: 'app-measurements-summary',
  templateUrl: './measurements-summary.component.html',
  styleUrls: ['./measurements-summary.component.scss']
})
export class MeasurementsSummaryComponent implements OnInit {
  public activities$: Observable<Activity[]> = this.careplanService.activities$;
  @Input() public showRelatedActivityModal: {isOpen: boolean; activityId?: string; observationType?: 'regular' | 'ultrasound'} | undefined;

  constructor(public careplanService: CarePlanService,
              public dataCardService: DataCardService,
              public activitiesService: ActivitiesService) { }

  ngOnInit(): void {
  }

  public addNote(): void {
    this.activitiesService.emitOpenNoteModalEvent(undefined, true);
  }
}
