import {Component, Input, OnChanges, OnInit, SimpleChanges} from '@angular/core';
import {Activity, Note} from '@nspop/gm-web-facade-api';
import {Subject} from 'rxjs';
import {ActivitiesService} from '../../../activities/activities.service';

@Component({
  selector: 'app-summary-card',
  templateUrl: './summary-card.component.html',
  styleUrls: ['./summary-card.component.scss']
})
export class SummaryCardComponent {
  @Input() public activity: Activity | undefined;
  @Input() public showActivityModal: {isOpen: boolean; activityId?: string; observationType?: 'regular' | 'ultrasound'} | undefined;
  constructor(private activitiesService: ActivitiesService) { }

  public showActivity(activityId: string): void {
    if (this.showActivityModal) {
      this.showActivityModal.activityId = activityId;
      this.showActivityModal.isOpen = true;
    }
  }

  public editNote(): void {
    if (this.activity) {
      this.activitiesService.emitOpenNoteModalEvent(this.activity, false);
    }
  }
}
