import {Component, Inject, OnInit} from '@angular/core';
import {MAT_DIALOG_DATA, MatDialogRef} from '@angular/material/dialog';
import {ComponentPortal, ComponentType} from '@angular/cdk/portal';
import {DialogService} from './dialog.service';

// https://material.angular.io/components/dialog/examples
// https://stackoverflow.com/questions/48723439/dynamically-load-a-component-inside-a-material-matdialog
export interface DialogData {
  header: string;
  component: ComponentType<any>;
  simpleContent: string;
  noButtonText: string;
  okButtonText: string;
}

@Component({
  selector: 'app-dialog',
  templateUrl: './dialog.component.html',
  styleUrls: ['./dialog.component.scss']
})
export class DialogComponent implements OnInit {
  public content: ComponentPortal<any> | undefined;
  constructor(
    private dialogService: DialogService,
    @Inject(MAT_DIALOG_DATA) public data: DialogData) {
  }

  onNoClick(): void {
    this.dialogService.close(this, false);
  }

  onYesClick(): void {
    this.dialogService.close(this, true);
  }

  ngOnInit(): void {
    if (this.data.component) {
      this.content = new ComponentPortal(this.data.component);
    }
  }
}
