import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, CanActivate, Router, RouterStateSnapshot} from '@angular/router';
import {appUrls} from '../utils/URL_STRING_LITERALS';
import {PatientInContextGuard} from './patient-in-context.guard';

@Injectable({
  providedIn: 'root'
})
export class NegatePatientInContextGuard implements CanActivate {
  constructor(
    private router: Router,
    private patientInContextGuard: PatientInContextGuard
  ) {
  }

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
    const doesNotHavePatientInContext = !this.patientInContextGuard.hasPatientInContext();

    if (!doesNotHavePatientInContext) {
      this.router.navigate([appUrls.base]);
    }

    return doesNotHavePatientInContext;
  }
}
