import { NamePipe } from './name.pipe';

describe('NamePipe', () => {
  it('handles undefined name', () => {
    const pipe = new NamePipe();
    expect(pipe.transform(undefined)).toEqual('');
  });
  it('handles null name', () => {
    const pipe = new NamePipe();
    expect(pipe.transform(null)).toEqual('');

  });

  it('handles name with no middle name', () => {
    const pipe = new NamePipe();
    // Note: According to the openapi spec the lists can't be null/undefined - they can, however, be empty
    expect(pipe.transform({firstNames: ['Peter'], middleNames: [], lastName: 'Parker'})).toEqual('Peter Parker');
  });

  it('handles full name', () => {
    const pipe = new NamePipe();
    expect(pipe.transform({firstNames: ['Peter', 'Jonas'], middleNames: ['Leon', 'Anders'], lastName: 'Parker'})).toEqual('Peter Jonas Leon Anders Parker');
  });
});
