import { Pipe, PipeTransform } from '@angular/core';
import {PersonName} from '@nspop/gm-web-facade-api';

@Pipe({
  name: 'name'
})
export class NamePipe implements PipeTransform {

  transform(name?: PersonName|null, defaultValue?: string): string {
    if (!name) {
      return defaultValue || '';
    }
    name.firstNames ??= [];
    name.middleNames ??= [];
    return [...name.firstNames, ...name.middleNames, name.lastName]
      .filter(x => !!x)
      .join(' ');
  }

}
