import {Inject, LOCALE_ID, Pipe, PipeTransform} from '@angular/core';
import {formatDate} from '@angular/common';


@Pipe({
  name: 'optionalDate'
})
export class OptionalDatePipe implements PipeTransform {

  constructor(@Inject(LOCALE_ID) private locale: string) {}

  transform(value?: Date|null): string {
    if (!value) {
      return '-';
    }
    return formatDate(value, 'dd.MM.yyyy', this.locale);
  }
}
