import {Injectable} from '@angular/core';
import {ActivatedRouteSnapshot, CanActivate, RouterStateSnapshot} from '@angular/router';
import {PrivatelyMarkedGuard} from './privately-marked.guard';

@Injectable({
  providedIn: 'root'
})
export class NegatePrivatelyMarkedGuard implements CanActivate {
  constructor(private privatelyMarkedGuard: PrivatelyMarkedGuard) {
  }

  canActivate(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): boolean {
    return !this.privatelyMarkedGuard.canActivate(route, state);
  }
}
