import { Injectable } from '@angular/core';
import {Observable, Subject} from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class CprSearchEventService {

  private cprSearchFabClickEvent: Subject<void> = new Subject();
  private cprSearchFocusedEvent: Subject<boolean> = new Subject();

  constructor() { }

  public emitCprSearchFabClickEvent(): void {
    this.cprSearchFabClickEvent.next();
  }

  public emitCprSearchFocusedEvent(focused: boolean): void {
    this.cprSearchFocusedEvent.next(focused);
  }

  get cprSearchFabClick$(): Observable<void> {
    return this.cprSearchFabClickEvent;
  }

  get cprSearchFocused$(): Observable<boolean> {
    return this.cprSearchFocusedEvent;
  }

}
