import {Injectable} from '@angular/core';
import {Observable} from 'rxjs';
import {environment} from '../../environments/environment';
import {HttpClient} from '@angular/common/http';
import {map} from 'rxjs/operators';

export interface SorItem {
  name: string;
  sorId: string;
  institutionOwnerSorId?: string;
}

export interface SoresLookUpResponse {
  entities: SorItem[];
  additionalRecordsExist: boolean;
}

@Injectable({
  providedIn: 'root'
})
export class SorService {
  private SOR_LOOKUP_PATH = '/sorlookup';

  constructor(private http: HttpClient) {
  }

  public lookUp(query: string): Observable<SorItem[]> {
    // @ts-ignore
    return this.http.get<SoresLookUpResponse>(environment.base_path + '/api' + this.SOR_LOOKUP_PATH, {params: {name: query}}).pipe(
      map(response => response.entities),
    );
  }
}
