import {Component} from '@angular/core';
import {DataCardService} from '../api/data-card.service';
import {DataCard} from '@nspop/gm-web-facade-api';
import {PatientContextService} from '../services/patient-context.service';
import {tap} from 'rxjs/operators';

@Component({
  selector: 'app-switch-encounter',
  templateUrl: './switch-encounter.component.html',
  styleUrls: ['./switch-encounter.component.scss']
})
export class SwitchEncounterComponent {
  public selectedDataCard: DataCard | undefined;
  public allDataCards$ = this.dataCardService.allDataCards$.pipe(
    // tslint:disable-next-line:max-line-length
    tap(dataCards => this.selectedDataCard = dataCards.find(dataCard => dataCard.episodeOfCareIdentifier === this.patientContextService.getCurrentEpisodeOfCare()))
  );

  constructor(
    private dataCardService: DataCardService,
    private patientContextService: PatientContextService
  ) {
  }
}
