import {ComponentFixture, TestBed} from '@angular/core/testing';

import {TriageOverviewComponent} from './triage-overview.component';
import {FormsModule, NgForm} from '@angular/forms';
import {AppModule} from '../app.module';
import {AngularMaterialModule} from '../modules/angular-material.module';
import {MatIconTestingModule} from '@angular/material/icon/testing';
import {DataCardService} from '../api/data-card.service';
import {createDataCardServiceSpy} from '../api/data-card.service.spec';
import SpyObj = jasmine.SpyObj;

describe('TriageOverviewComponent', () => {
  let component: TriageOverviewComponent;
  let fixture: ComponentFixture<TriageOverviewComponent>;

  let dataCardServiceStub: SpyObj<DataCardService>;

  beforeEach(async () => {
    dataCardServiceStub = createDataCardServiceSpy();

    await TestBed.configureTestingModule({
      declarations: [TriageOverviewComponent],
      imports: [FormsModule, AppModule, AngularMaterialModule, MatIconTestingModule],
      providers: [
        {provide: DataCardService, useValue: dataCardServiceStub},
        {provide: NgForm, useValue: new NgForm([], [])},
      ]
    })
      .compileComponents();
  });

  beforeEach(() => {
    fixture = TestBed.createComponent(TriageOverviewComponent);
    component = fixture.componentInstance;
  });

  it('should create', () => {
    fixture.detectChanges();
    expect(component).toBeTruthy();
  });
});
