import {ChronicDiseasesSectionAllOf, DataCard} from '@nspop/gm-web-facade-api';
import {of} from 'rxjs/internal/observable/of';
import {Observable} from 'rxjs';

const dataCardStub1 = {
  modifiedTime: new Date('2021-03-30T11:24:10.583Z'),
  author: {name: 'Jeppe Man', sorId: '293591000016003'},
  dirty: null,
  episodeOfCareIdentifier: '7abf9cb4-f5b2-4ac3-a70e-610a3d583c38',
  documentUniqueId: '7f37ccc1-19d2-4544-bd5e-8263905b4282',
  version: 1,
  documentStatus: 'ACTIVE',
  recordTarget: {name: {firstNames: ['Ronnie'], middleNames: ['Johnny'], lastName: 'Lonnie'}, identifier: '0101010101'},
  childPartnerSection: null,
  languageSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.603Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    nationality: 'Dansk',
    translationRequirements: {language: 'Gungansk'}
  },
  bodyMeasuresSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.593Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    prenatalBodyWeight: {value: 60, unit: 'kg'},
    bodyHeight: {value: 160, unit: 'cm'},
    bodyMassIndex: {value: 23.2, unit: 'kg/m2'}
  },
  socialHistorySection: {
    modifiedTime: new Date('2021-03-30T11:24:10.663Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    maritalOrPartnershipStatus: 'married',
    livingConditions: 'partnership',
    partner: {name: 'Jar Jar Binks', cpr: '1008712209', nationality: 'Naboo', needsTranslation: 'true', translationLanguage: 'Gungansk'},
    additionalInformations: 'All the additional informations'
  },
  previousBirthsSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.624Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    births: [{
      children: [{
        sex: 'male',
        birthWeight: {value: 3600, unit: 'g'},
        outcome: 'livebirth',
        childsCurrentHealthStatus: 'Superlevende og alt muligt'
      }],
      date: new Date('2000-05-27T00:00:00.000Z'),
      gestationLength: {value: 280, unit: 'd'},
      birthPlace: 'Hjemme',
      pregnancySummary: 'Well this is a story all about how my life got flipped-turned upside down - and I\'d like to take a minute, just sit right there, I\'ll tell you how I became the prince of a town called...',
      birthSummary: 'Det gik bare supergodt!',
      subjectiveBirthExperience: 'normal',
      puerperalSepsis: false
    }]
  },
  previousAbortionsSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.622Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    abortions: [{
      date: new Date('1980-10-07T00:00:00.000Z'),
      type: null,
      gestationLength: {value: 6, unit: 'w'},
      indication: 'Dunno what to type here'
    }]
  },
  expectedDateOfDeliverySection: {
    modifiedTime: new Date('2021-03-30T11:24:10.597Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    expectedDateOfDeliveryFromLastPeriod: {
      lastPeriod: new Date('2020-11-30T00:00:00.000Z'),
      menstrualCycle: {min: {value: 28, unit: 'd'}, max: {value: 30, unit: 'd'}},
      expectedDateOfDelivery: new Date('2021-08-30T00:00:00.000Z'),
      certainty: 'equivocal'
    },
    expectedDateOfDeliveryFromPrenatalUltrasoundScan: new Date('2021-08-30T00:00:00.000Z'),
    gestationAge: '17+1',
    trimester: 2,
    monthsIntoPregnancy: 3.9704142011834325,
    week: 18,
    remarks: 'Vi aner ikke hvad vi laver',
  },
  prenatalRiskAssessmentSection: {
    preliminaryRiskAssessment: {
      modifiedTime: new Date('2021-03-30T11:24:10.617Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      familyHistory: 'Long time ago in a galaxy far, far away...',
      consanguinity: false,
      firstTrimesterUltrasoundScanOfFetusRequested: true,
      secondTrimesterUltrasoundScanOfFetusRequested: false,
      prenatalRiskAssessmentRequested: true
    },
    finalRiskAssessment: {
      modifiedTime: new Date('2021-03-30T11:24:10.614Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      doubleTestCompleted: true,
      doubleTestCompletedDate: null,
      firstTrimesterUltrasoundScanOfFetusCompleted: new Date('2021-03-30T00:00:00.000Z'),
      secondTrimesterUltrasoundScanOfFetusCompleted: new Date('2021-03-30T00:00:00.000Z'),
      downsScreeningProbabilityAssessment: 'low',
      multiplicityRiskAssessment: {risk: 'true', comment: 'Her er en kommentar'},
      placentalBiopsiObservation: {date: null, result: 'Vi fandt ingenting'},
      prenatalAmniocentesisiObservation: {date: null, result: 'Intet at bemærke'}
    }
  },
  workEnvironmentImpactSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.618Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    mother: {
      jobType: 'Kemisk kontorarbejder måske?',
      hoursOfWorkPerWeek: 40,
      exposureToWorkEnvironmentRisk: {
        start: null,
        end: new Date('2021-08-30T00:00:00.000Z'),
        calculated: null,
        remarks: 'kontor',
        types: ['ergonomic']
      },
      referredToOccupationalHealthDepartmentForRiskAssessment: false,
      prenatalSickLeave: 'partial'
    },
    partner: {jobType: 'partial'}
  },
  allergiesSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.591Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    allergiesOfMother: 'Cyanid, rottegift og stål',
    allergicPredispositionOfChild: 'parentalPredisposition'
  },
  screeningsSection: {
    hepatitisB: {
      modifiedTime: new Date('2021-03-30T11:24:10.651Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'negative'
    },
    hiv: {
      modifiedTime: new Date('2021-03-30T11:24:10.661Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'negative'
    },
    syphilis: {
      modifiedTime: new Date('2021-03-30T11:24:10.662Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'positive'
    },
    chlamydia: {
      modifiedTime: new Date('2021-03-30T11:24:10.647Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'negative'
    },
    gonorrhea: {
      modifiedTime: new Date('2021-03-30T11:24:10.649Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'negative'
    },
    streptococcusGroupB: {
      modifiedTime: new Date('2021-03-30T11:24:10.662Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'negative'
    },
    hemoglobinopathy: {
      modifiedTime: new Date('2021-03-30T11:24:10.649Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      result: 'positive'
    },
    vitaminDConsumption: {
      modifiedTime: new Date('2021-03-30T11:24:10.662Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      value: 5,
      unit: 'mg/dag'
    },
    maternalRhDAntibody: {
      modifiedTime: new Date('2021-03-30T11:24:10.662Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      bloodSampleTaken: 'false',
      rhesusType: 'positive',
      irregularBloodGroupAntibodyPresent: 'negative'
    },
    fetalRhDAntibody: {
      modifiedTime: new Date('2021-03-30T11:24:10.649Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      rhesusType: 'positive',
      antiDIsoimmunizationAffectingPregnancy: 'negative'
    },
    diabetesWeek18To20: {
      modifiedTime: new Date('2021-03-30T11:24:10.648Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      value: 6,
      unit: '?'
    },
    diabetesWeek28To30: {
      modifiedTime: new Date('2021-03-30T11:24:10.648Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      value: 6,
      unit: '?'
    },
    diabetesGlycosuria: {
      modifiedTime: new Date('2021-03-30T11:24:10.648Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: null,
      value: 5,
      unit: 'liter?'
    },
    antiDImmunoglobulinGiven: {
      modifiedTime: new Date('2021-03-30T11:24:10.646Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      value: 'false'
    },
    mrsaSwap: {
      modifiedTime: new Date('2021-03-30T11:24:10.646Z'),
      author: {name: 'Jeppe Man', sorId: '293591000016003'},
      dirty: null,
      date: new Date('2021-03-30T00:00:00.000Z'),
      value: 'true'
    },
  },
  chronicDiseasesSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.594Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    conditions: ['diabetes', 'epilepsy', 'thyroid'],
    comment: 'Type 2 diabetes'
  } as ChronicDiseasesSectionAllOf,
  medicineSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.604Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    realMedicine: 'Latunis maximus medicinus 22 µg',
    natureMedicine: 'Grøn te'
  },
  mmrVaccinationSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.607Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    status: 'vaccinated'
  },
  historyOfPreviousTreatmentWithImpactOnPregnancySection: {
    modifiedTime: new Date('2021-03-30T11:24:10.601Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    history: 'Work safe, work smart!'
  },
  tobaccoUseAndExposureSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.668Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    exposureToEnvironmentalTobaccoSmoke: 'true',
    tobaccoUser: null,
    endDate: null,
    smokeDuringPregnancy: null,
    referredToTobaccoCessationEducation: null
  },
  alcoholDrinkingBehaviorSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.585Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    weeklyConsumptionBeforePregnancy: {consumption: {value: 3, unit: 'g/wk'}, consumesAlcohol: 'true'},
    weeklyConsumptionDuringPregnancy: {
      consumption: {value: 3, unit: 'g/wk'},
      consumesAlcohol: 'true',
      excessiveDrinkingCount: null,
      excessiveDrinkingWeeks: [3, 6, 6, 9, 11],
      tweakPoints: '3'
    }
  },
  assistedFertilizationSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.589Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    receivesFertilizationAssistance: true,
    remarks: 'Jeg har nogle yderligere bemærkninger omkring dette.....',
    type: 'egg_donation'
  },
  substanceUseSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.666Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    substanceUseBeforePregnancy: {substanceUse: 'false', text: null},
    substanceUseDuringPregnancy: {substanceUse: 'false', text: null}
  },
  dietaryAndExerciseSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.596Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    text: 'Her er noget tekst som jeg har skrevet fordi det skal ligne at jeg arbejder'
  },
  healthInsuranceSection: {insuranceGroup: '1', generalPractitioner: null},
  birthPlaceSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.592Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    desiredBirthPlace: 'Skive Universitetshospital',
    primaryPlannedBirthPlace: {name: 'Jeppe Man', sorId: '293591000016003'},
    revisedPlannedBirthPlace: null
  },
  midwifeClinicSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.605Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    midwifeConsultationWishes: {
      location: 'Europaplads 2',
      notes: 'Mandag, Betinna',
      midwife: {name: {firstNames: ['Leon'], middleNames: ['Gungadin'], lastName: 'Mogensen'}}
    },
    assignedMidwifeClinic: {name: 'Black Mesa', sorId: '123123123959'},
    parentalCraftClassDesired: null
  },
  postpartumNursingSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.613Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    organization: {name: 'Organization', sorId: '293591000016003'},
    postpartumNurse: {name: {firstNames: ['Fornavn'], middleNames: ['mellemnavn'], lastName: 'Efternavn'}}
  },
  overallAssessmentSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.609Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    prenatalCareAssessment: {assessment: 'Patient constantly lies about cake', comment: null, numberOfFetuses: 2, careLevel: 'basic'},
    obstetricAssessment: {required: 'true', reason: 'Der er noget galt...'},
    socialServicesPerinatalCareAssessment: {required: 'true', reason: 'Fordi jeg siger det', assessmentDate: new Date('2021-03-30T00:00:00.000Z')}
  },
  personalDataSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.674Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    name: {firstNames: ['Ronnie'], middleNames: ['Johnny'], lastName: 'Lonnie'},
    cpr: '0101010101',
    address: {streetAndNumber: 'Europaplads 2', city: 'Aarhus C', zip: '8000'},
    temporaryAddress: {
      name: 'Marken',
      streetAndNumber: 'Foldby mark 3',
      city: 'Foldby',
      zip: '8573',
      validFrom: new Date('2021-03-20T00:00:00.000Z'),
      validTo: new Date('2021-04-19T00:00:00.000Z')
    },
    telecoms: {mobile: '88888888', work: '+4564830585', home: null},
    generalPractitioner: {
      name: 'Erik Oluf Andersen',
      address: {streetAndNumber: 'Sct. Folmer Paamittensvej 23', city: 'Glostrup', zip: '2114'},
      telephoneNumber: null
    },
    nextOfKin: [{
      name: 'Peter Johnny Lonnie',
      relation: 'far',
      telecoms: {mobile: null, work: null, home: '52213587'},
      additionalInformation: 'Ronnies far bor meget tæt på, så... ja nu ved I det'
    }, {
      name: 'Chandra Goupta',
      relation: 'nabo',
      telecoms: {mobile: '76638603', work: null, home: null},
      additionalInformation: 'Naboen kan hjælpe med en alt muligt'
    }]
  },
  healthcareSection: {
    modifiedTime: new Date('2021-03-30T11:24:10.675Z'),
    author: {name: 'Jeppe Man', sorId: '293591000016003'},
    dirty: null,
    ward: {name: 'Jordemoderhuset 42', sorId: '293591000016003'},
    healthNurse: {phone: '56170934', name: 'Pia Beatesen'}
  }
} as any as DataCard;

const allDataCardStub1 = [dataCardStub1] as any as DataCard[];

export const allDataCardsStub$: Observable<DataCard[]> = of(allDataCardStub1);
export const activeDataCardStub$: Observable<DataCard> = of(dataCardStub1);
