import Spy = jasmine.Spy;

export function getPropertyAsSpy<T, K extends keyof T = keyof T>(object: T, property: K, accessType?: 'get' | 'set')
  : Spy<() => T[K]> {
  const propertyDescriptor = Object.getOwnPropertyDescriptor(object, property);
  return 'set' === accessType ? propertyDescriptor?.set : propertyDescriptor?.get as any;
}

export function getFunctionAsSpy<T, K extends keyof T = keyof T>(object: T, method: K)
  : Spy<T[K] extends jasmine.Func
    ? T[K]
    : T[K] extends new (...args: infer A) => infer V
      ? (...args: A) => V
      : never
  > {
  return object[method] as any;
}
